%define major 1
%define pcscspy_major 0
%define libname %mklibname pcsclite %{major}
%define pcscspy_libname %mklibname pcscspy %{pcscspy_major}
%define develname %mklibname pcsclite -d

Summary:	M.U.S.C.L.E. PC/SC Framework for Linux
Name:		pcsc-lite
Version:	1.8.20
Release:	%mkrel 1
License:	BSD-like
Group:		System/Servers
URL:		http://pcsclite.alioth.debian.org/pcsclite.html
Source0:	https://alioth.debian.org/frs/download.php/file/4203/%{name}-%{version}.tar.bz2
Source1:	https://alioth.debian.org/frs/download.php/file/4204/%{name}-%{version}.tar.bz2.asc

BuildRequires:	doxygen
BuildRequires:	pkgconfig(polkit-agent-1)
BuildRequires:	pkgconfig(udev)

Requires(post):	rpm-helper >= 0.24.8-1
Requires(preun):	rpm-helper >= 0.24.8-1
Requires:	%{libname} = %{version}

%description
The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
in a very small form factor for communicating to smartcards and
readers.  PC/SC Lite uses the same winscard API as used under
Windows(R).  This package includes the PC/SC Lite daemon, a resource
manager that coordinates communications with smart card readers and
smart cards that are connected to the system, as well as other command
line tools.

%package -n	%{libname}
Summary:	Muscle PCSC Framework for Linux libraries
Group:		System/Libraries
Provides:	libpcsclite%{major} = %{version}-%{release}

%description -n	%{libname}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%package -n	pcsc-spy
Summary:	PCSC API spy
Group:		System/Libraries

Requires:	python
Requires:	pcsc-lite
Requires:	%{pcscspy_libname} = %{version}

%description -n	pcsc-spy
The purpose of pcsc-spy is to spy all the calls between the PC/SC client
and the PC/SC library.

%package -n	%{pcscspy_libname}
Summary:	PCSC Smart Card Library
Group:		System/Libraries

%description -n	%{pcscspy_libname}
Supporting library for the PC/SC spy tool.

%package -n	%{develname}
Summary:	Muscle PCSC Framework for Linux development files
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{pcscspy_libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libpcsclite-devel = %{version}-%{release}
Obsoletes:	%mklibname -d pcsclite 1

%description -n	%{develname}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%package	doc
Summary:	PC/SC Lite developer documentation
Group:		Development/Other
BuildArch:	noarch

%description	doc
%{summary}.


%prep
%autosetup

%build
%serverbuild
%configure2_5x --disable-static \
	--enable-ipcdir=/run \
	--enable-usbdropdir=%{_libdir}/pcsc/drivers \
	--with-systemdsystemunitdir=%{_unitdir} \
	--enable-polkit

%make
doxygen doc/doxygen.conf; rm -f doc/api/*.{map,md5}

%install
%make_install

rm -f %{buildroot}/%{_libdir}/*.la

# Create empty directories
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/reader.conf.d
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pcsc/drivers

%post
%_post_service pcscd

%preun
%_preun_service pcscd

%files
%doc AUTHORS DRIVERS HELP INSTALL NEWS README SECURITY
%doc doc/README.DAEMON doc/README.polkit
%dir %{_sysconfdir}/reader.conf.d/
%dir %{_libdir}/pcsc/drivers/
%{_datadir}/polkit-1/actions/org.debian.pcsc-lite.policy
%{_unitdir}/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_sbindir}/*

%files -n %{libname}
%doc COPYING
%{_libdir}/libpcsc*.so.%{major}{,.*}

%files -n pcsc-spy
%{_bindir}/pcsc-spy
%{_mandir}/man1/pcsc-spy.1.*

%files -n %{pcscspy_libname}
%{_libdir}/libpcscspy.so.%{pcscspy_major}{,.*}

%files -n %{develname}
%doc ChangeLog
%{_libdir}/pkgconfig/* 
%{_includedir}/*
%{_libdir}/*.so

%files doc
%doc doc/api/ doc/example/pcsc_demo.c COPYING


%changelog
* Thu Jan 05 2017 sander85 <sander85> 1.8.20-1.mga6
+ Revision: 1080198
- New version: 1.8.20

* Sat Apr 30 2016 sander85 <sander85> 1.8.16-1.mga6
+ Revision: 1008334
- New version: 1.8.16

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.8.15-1.mga6
+ Revision: 918830
- 1.8.15

* Tue Oct 27 2015 danf <danf> 1.8.14-2.mga6
+ Revision: 895719
- Fix build on new rpm by listing extra doc file

* Wed Aug 05 2015 sander85 <sander85> 1.8.14-1.mga6
+ Revision: 861260
- New version: 1.8.14

* Fri Jun 26 2015 doktor5000 <doktor5000> 1.8.13-1.mga6
+ Revision: 844496
- new version 1.8.13
- adjusted URL to point to pcsc-lite project subpage
- enabled polkit support

* Wed Oct 15 2014 umeabot <umeabot> 1.8.11-4.mga5
+ Revision: 750379
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.8.11-3.mga5
+ Revision: 727546
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.8.11-2.mga5
+ Revision: 683374
- Mageia 5 Mass Rebuild

  + sander85 <sander85>
    - Convert to %%autosetup

* Sat Jun 21 2014 sander85 <sander85> 1.8.11-1.mga5
+ Revision: 638310
- New version: 1.8.11

* Tue Feb 04 2014 sander85 <sander85> 1.8.10-1.mga5
+ Revision: 580578
- New version: 1.8.10

* Sat Oct 19 2013 umeabot <umeabot> 1.8.8-2.mga4
+ Revision: 525748
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 sander85 <sander85> 1.8.8-1.mga4
+ Revision: 434450
- New version: 1.8.8

* Sat Feb 02 2013 sander85 <sander85> 1.8.7-3.mga3
+ Revision: 394089
- Refactor the spec a bit

* Sun Jan 13 2013 umeabot <umeabot> 1.8.7-2.mga3
+ Revision: 362671
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 sander85 <sander85> 1.8.7-1.mga3
+ Revision: 322726
- New version: 1.8.7

* Thu Aug 30 2012 sander85 <sander85> 1.8.6-1.mga3
+ Revision: 285873
- New version: 1.8.6

* Mon Aug 06 2012 sander85 <sander85> 1.8.5-1.mga3
+ Revision: 279259
- New version: 1.8.5

* Sat Jul 21 2012 sander85 <sander85> 1.8.4-1.mga3
+ Revision: 273115
- clean up systemd hacks, they are not needed anymore
- new version: 1.8.4

* Sat Jun 30 2012 colin <colin> 1.8.3-2.mga3
+ Revision: 265628
- Rebuild for new libudev major

* Fri Jun 15 2012 guillomovitch <guillomovitch> 1.8.3-1.mga3
+ Revision: 260782
- new version
- drop sysinit support
- drop unrecognized configure option

* Sat Apr 28 2012 tmb <tmb> 1.8.2-2.mga2
+ Revision: 233837
- Require rpm-helper >= 0.24.8-1 for systemd support

* Wed Jan 18 2012 sander85 <sander85> 1.8.2-1.mga2
+ Revision: 197970
- new version: 1.8.2

* Sat Jan 14 2012 sander85 <sander85> 1.8.1-5.mga2
+ Revision: 195927
- drop unneeded requires

* Fri Jan 13 2012 sander85 <sander85> 1.8.1-4.mga2
+ Revision: 195797
- move libpcscspy.so into devel

* Fri Jan 13 2012 sander85 <sander85> 1.8.1-3.mga2
+ Revision: 195779
- split libpcscspy into its own package

* Sat Jan 07 2012 sander85 <sander85> 1.8.1-2.mga2
+ Revision: 193014
- better detection of systemd usage
- update description

* Sat Jan 07 2012 sander85 <sander85> 1.8.1-1.mga2
+ Revision: 192976
- fix lsb-comment-block
- new version (1.8.1 with systemd support)

* Sun Jun 26 2011 sander85 <sander85> 1.7.4-2.mga2
+ Revision: 114056
- add some empty directories + fix sources

* Sun Jun 26 2011 sander85 <sander85> 1.7.4-1.mga2
+ Revision: 114051
- add doc + few minor changes
- drop *.la files
- clean spec; nev version: 1.7.4

* Thu Feb 10 2011 spuhler <spuhler> 1.6.6-1.mga1
+ Revision: 49696
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package pcsc-lite


* Sat Jan 01 2011 Anssi Hannula <anssi@mandriva.org> 1.6.6-1mdv2011.0
+ Revision: 627057
- new version
  o deprecated ifdhandler PDF has been dropped

* Mon Aug 16 2010 Emmanuel Andry <eandry@mandriva.org> 1.6.4-1mdv2011.0
+ Revision: 570476
- New version 1.6.4

* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 1.6.1-3mdv2011.0
+ Revision: 562991
- add provides for static package

* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 1.6.1-2mdv2011.0
+ Revision: 562986
- build static lib for libchipcard

* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 1.6.1-1mdv2011.0
+ Revision: 562970
- New version 1.6.1
- use libusb rather than libhal for distro policy

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5.5-2mdv2010.1
+ Revision: 521156
- rebuilt for 2010.1

* Sun Aug 02 2009 Emmanuel Andry <eandry@mandriva.org> 1.5.5-1mdv2010.0
+ Revision: 407552
- New version 1.5.5

* Tue Jul 28 2009 Emmanuel Andry <eandry@mandriva.org> 1.5.4-1mdv2010.0
+ Revision: 402524
- New version 1.5.4

* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.3-1mdv2010.0
+ Revision: 370169
- Update to new version 1.5.3

* Sun Feb 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.2-1mdv2009.1
+ Revision: 340647
- Update to new version 1.5.2

* Thu Jan 22 2009 Funda Wang <fwang@mandriva.org> 1.5.1-1mdv2009.1
+ Revision: 332590
- New verison 1.5.1

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.102-1mdv2009.0
+ Revision: 229708
- 1.4.102
- spec file massage

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 02 2008 Funda Wang <fwang@mandriva.org> 1.4.101-1mdv2009.0
+ Revision: 200030
- New version 1.4.101

* Thu Apr 24 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.4.100-1mdv2009.0
+ Revision: 197113
- prefers libhal over libusb now
- new version 1.4.100
- update License tag for licensing policy
- better library policy compliance

* Tue Mar 25 2008 Thierry Vignaud <tv@mandriva.org> 1.4.4-3mdv2008.1
+ Revision: 190012
- move 360k of docs into devel subpackage

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.4-2mdv2008.1
+ Revision: 179159
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix description-line-too-long
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.org> 1.4.4-1mdv2008.0
+ Revision: 80711
- correct license to BSD
- new release 1.4.4

* Sat Jul 14 2007 Adam Williamson <awilliamson@mandriva.org> 1.4.3-1mdv2008.0
+ Revision: 52107
- new devel policy
- new release 1.4.3

* Mon May 28 2007 Andreas Hasenack <andreas@mandriva.com> 1.4.2-1mdv2008.0
+ Revision: 32049
- added tetex-latex to buildrequries
- updated to version 1.4.2


* Wed Mar 07 2007 Andreas Hasenack <andreas@mandriva.com> 1.4.0-1mdv2007.0
+ Revision: 134433
- updated to version 1.4.0 (same soname)

* Mon Nov 06 2006 Andreas Hasenack <andreas@mandriva.com> 1.3.2-1mdv2007.1
+ Revision: 77007
- updated to version 1.3.2
- using pid file

* Sat Sep 02 2006 Andreas Hasenack <andreas@mandriva.com> 1.3.1-3mdv2007.0
+ Revision: 59365
- using functions for initscript (#21495)
- updated initscript to use parallel init scheme

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream version 1.3.1
    - import pcsc-lite-1.3.0-3mdk

* Tue Apr 18 2006 Andreas Hasenack <andreas@mandriva.com> 1.3.0-3mdk
- added missing provides

* Thu Mar 09 2006 Andreas Hasenack <andreas@mandriva.com> 1.3.0-2mdk
- added missing buildrequires

* Thu Mar 09 2006 Andreas Hasenack <andreas@mandriva.com> 1.3.0-1mdk
- updated to verison 1.3.0, closing #21518
- removed references to libmusclecard, it's a separate package now

* Tue Dec 06 2005 Andreas Hasenack <andreas@mandriva.com> 1.2.9-3mdk
- fixed -devel package conflicts so that it works with x86_64 too
  (thanks to _ranger_ for the tip)

* Thu Nov 24 2005 Andreas Hasenack <andreas@mandriva.com> 1.2.9-2mdk
- versioning devel provides

* Thu Nov 03 2005 Helio Chissini de Castro <heliocastro@mandriva.com> 1.2.9-1mdk
- New upstream beta release

* Tue Jun 14 2005 Frederic Lepied <flepied@mandriva.com> 1.1.2-6mdk
- rebuild

* Thu Oct 28 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-5mdk
- corrected update-reader-conf to avoid a warning when no config is present
- libification

